Bug 1122713 - Review Request: xorg-x11-drv-opentegra - Xorg X11 opentegra driver
Summary: Review Request: xorg-x11-drv-opentegra - Xorg X11 opentegra driver
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Kastner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 956525 (view as bug list)
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2014-07-23 20:43 UTC by Nicolas Chauvet (kwizart)
Modified: 2019-01-09 12:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-05 09:02:45 UTC
jkastner: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2014-07-23 20:43:49 UTC
SRPM: http://kwizart.fedorapeople.org/review/xorg-x11-drv-opentegra-0.7.0-1.fc20.src.rpm
SPEC: http://kwizart.fedorapeople.org/review/xorg-x11-drv-opentegra.spec
Summary: Xorg X11 opentegra driver
Fedora Account System Username: kwizart

rpmlint output:
$ rpmlint -i /srv/rpmbuild/RPMS/armv7hl/xorg-x11-drv-opentegra-0.7.0-1.fc20.armv7hl.rpm /srv/rpmbuild/RPMS/armv7hl/xorg-x11-drv-opentegra-debuginfo-0.7.0-1.fc20.armv7hl.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Nicolas Chauvet (kwizart) 2014-07-23 20:44:10 UTC
*** Bug 956525 has been marked as a duplicate of this bug. ***

Comment 2 Jiri Kastner 2014-08-17 08:29:39 UTC
small note: just tested on jetson tk1, where it is the only way to run xorg (rawhide and f21):

wget -P /etc/yum.repos.d/ http://repos.fedorapeople.org/repos/jkastner/xorg-x11-drv-opentegra/fedora-xorg-x11-drv-opentegra.repo

yum install xorg-x11-drv-opentegra

Comment 3 Jiri Kastner 2014-09-23 20:09:35 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)" - for the code itself
     "GPL (v2 or later)" - ltmain.sh generated by autotools.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: ExclusiveArch is %{arm}
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: no large data
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xorg-x11-drv-opentegra-0.7.0-1.fc21.armv7hl.rpm
          xorg-x11-drv-opentegra-0.7.0-1.fc21.src.rpm
xorg-x11-drv-opentegra.src: E: specfile-error sh: xserver-sdk-abi-requires: command not found
xorg-x11-drv-opentegra.src: E: specfile-error sh: xserver-sdk-abi-requires: command not found
2 packages and 0 specfiles checked; 2 errors, 0 warnings.
note: this error is present in other xorg-x11-drv packages



Rpmlint (installed packages)
----------------------------
# rpmlint xorg-x11-drv-opentegra
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
xorg-x11-drv-opentegra (rpmlib, GLIBC filtered):
    Xorg
    ld-linux-armhf.so.3
    libc.so.6
    libdrm.so.2
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.5)
    libudev.so.1
    libudev.so.1(LIBUDEV_183)
    rtld(GNU_HASH)
    xserver-abi(ansic-0)
    xserver-abi(videodrv-18)



Provides
--------
xorg-x11-drv-opentegra:
    xorg-x11-drv-opentegra
    xorg-x11-drv-opentegra(armv7hl-32)



Unversioned so-files
--------------------
xorg-x11-drv-opentegra: /usr/lib/xorg/modules/drivers/opentegra_drv.so

Source checksums
----------------
http://xorg.freedesktop.org/releases/individual/driver/xf86-video-opentegra-0.7.0.tar.xz :
  CHECKSUM(SHA256) this package     : 282eb7fbd985a1bfc60e431dc83c9c2dc94e5c3be444678688002f67cd0fd2af
  CHECKSUM(SHA256) upstream package : 282eb7fbd985a1bfc60e431dc83c9c2dc94e5c3be444678688002f67cd0fd2af


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: xf86-video-opentegra-0.7.0/configure.ac:40


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -n xorg-x11-drv-opentegra
Buildroot used: fedora-21-armhfp
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Jiri Kastner 2014-09-23 20:20:03 UTC
package works, i reviewed that package and compared to other xorg-x11-drv packages is in good shape. m4 macro is not must-have-just-now item to fix.

Comment 5 Nicolas Chauvet (kwizart) 2014-09-26 20:20:05 UTC
New Package SCM Request
=======================
Package Name: xorg-x11-drv-opentegra
Short Description: Xorg X11 opentegra driver
Upstream URL: http://cgit.freedesktop.org/xorg/driver/xf86-video-opentegra/
Owners: kwizart
Branches: f19 f20 f21 devel
InitialCC:

Comment 6 Gwyn Ciesla 2014-09-29 12:11:07 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.